# vim: set ts=4 sw=4 et:

Name:           miniupnpc
Version:        1.5
%define soname 5
Release:        1.pm.1.1
Summary:        Universal Plug'n'Play (UPnP) Client
Source:         http://miniupnp.free.fr/files/miniupnpc-%{version}.tar.gz
Patch1:         miniupnpc-makefile.patch
URL:            http://miniupnp.free.fr/
Group:          Productivity/Networking/Other
License:        BSD License (revised)
BuildRoot:      %{_tmppath}/build-%{name}-%{version}
BuildRequires:  python-devel
BuildRequires:  gcc make glibc-devel
Requires:       libminiupnpc%{soname} = %{version}-%{release}

%description
The MiniUPnP project offers software which supports the UPnP Internet Gateway
Device (IGD) specifications.

%package -n libminiupnpc%{soname}
Summary:        Universal Plug'n'Play (UPnP) Client Library
Group:          System/Libraries

%description -n libminiupnpc%{soname}
The MiniUPnP project offers software which supports the UPnP Internet Gateway
Device (IGD) specifications.

%package -n libminiupnpc-devel
Summary:        Universal Plug'n'Play (UPnP) Client Library
Group:          Development/Libraries/C and C++
Requires:       libminiupnpc%{soname} = %{version}-%{release}

%description -n libminiupnpc-devel
The MiniUPnP project offers software which supports the UPnP Internet Gateway
Device (IGD) specifications.

%package -n python-miniupnpc
Summary:        Universal Plug'n'Play (UPnP) Client Module for Python
Group:          Development/Libraries/Python
Requires:       libminiupnpc%{soname} = %{version}-%{release}
%py_requires

%description -n python-miniupnpc
The MiniUPnP project offers software which supports the UPnP Internet Gateway
Device (IGD) specifications.


%prep
%setup -q
%patch1

%build
%__make %{?jobs:-j%{jobs}} \
     CC="%__cc" \
     OPTFLAGS="%{optflags}" \
     PYTHON="%__python"

%__python ./setup.py build

%install
%__make \
     INSTALLPREFIX="%{buildroot}%{_prefix}" \
     INSTALLDIRINC="%{buildroot}%{_includedir}" \
     INSTALLDIRLIB="%{buildroot}%{_libdir}" \
     INSTALLDIRBIN="%{buildroot}%{_bindir}" \
     INSTALL="%__install" \
     install

%__python ./setup.py install \
     --prefix="%{_prefix}" \
     --root="%{buildroot}" \
     --record-rpm="rpmfiles.lst"

%post   -n libminiupnpc%{soname} -p /sbin/ldconfig
%postun -n libminiupnpc%{soname} -p /sbin/ldconfig
     
%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%{_bindir}/upnpc
%{_bindir}/external-ip

%files -n libminiupnpc%{soname}
%defattr(-,root,root)
%doc LICENSE Changelog.txt README
%{_libdir}/libminiupnpc.so.%{soname}

%files -n libminiupnpc-devel
%defattr(-,root,root)
%{_includedir}/declspec.h
%{_includedir}/igd_desc_parse.h
%{_includedir}/miniupnpc.h
%{_includedir}/miniwget.h
%{_includedir}/upnpcommands.h
%{_includedir}/upnperrors.h
%{_includedir}/upnpreplyparse.h
%{_libdir}/libminiupnpc.a
%{_libdir}/libminiupnpc.so

%files -n python-miniupnpc -f rpmfiles.lst
%defattr(-,root,root)

%changelog
* Wed Mar  9 2011 pascal.bleser@opensuse.org
- soname 4 -> 5
- update to 1.5
* Sun Mar  7 2010 pascal@links2linux.de
- initial package
